function mbreal(a)
%MBREAL	Must be real.
%	The statement
%
%	    mbreal(x)
%
%	asserts that, at that point in the computation, the imaginary part
%	of variable x is zero.  If this assertion is false, an error occurs;
%	if this assertion is true, the computation proceeds.
%
%	See also MBINT, MBSCALAR, MBVECTOR, MBREALSCALAR, MBREALVECTOR.

if any(any(imag(a))),
	error( 'argument to mbreal must be real' );
end
